// Random number distribution
// Credit: From the book "Learning Processing".  Example 13-2.
// An array to keep track of how often random numbers are picked.

let randomCounts = [];
let columns;

function setup() {
  createCanvas(480, 270);
  columns = width / 20;
  for (let i = 0; i < columns; i++) {
    randomCounts[i] = 0;
  }
}

function draw() {
  background(220);

  // Pick a random number and increase the count
  let index = int(random(columns));
  randomCounts[index] += 1;

  // Draw a rectangle to graph results
  stroke(0);
  fill(175);
  for (let x = 0; x < randomCounts.length; x ++ ) {
    rect(x * 20, 0, 19, randomCounts[x]);
  }
}
